# OpenLayers.Popup.Framed

#### Inherits from

- OpenLayers.Popup.Anchored

Summary

OpenLayers.Popup.Framed |
Properties |
isAlphaImage | {Boolean} The image has some alpha and thus needs to use the alpha image hack.
fixedRelativePosition | {Boolean} We want the framed popup to work dynamically placed relative to its anchor but also in just one fixed position.
Constructor |
OpenLayers.Popup.Framed |
Functions |
destroy |
setBackgroundColor |
setBorder |
setSize | Overridden here, because we need to update the blocks whenever the size of the popup has changed.

### Properties

### isAlphaImage

{Boolean} The image has some alpha and thus needs to use the alpha image hack. Note that setting this to true will have no noticeable effect in FF or IE7 browsers, but will all but crush the ie6 browser. Default is false.

### fixedRelativePosition

{Boolean} We want the framed popup to work dynamically placed relative to its anchor but also in just one fixed position. A well designed framed popup will have the pixels and logic to display itself in any of the four relative positions, but (understandably), this will not be the case for all of them. By setting this property to ‘true’, framed popup will not recalculate for the best placement each time it’s open, but will always open the same way. Note that if this is set to true, it is generally advisable to also set the ‘panIntoView’ property to true so that the popup can be scrolled into view (since it will often be offscreen on open) Default is false.

### Constructor

### OpenLayers.Popup.Framed

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object to which we’ll anchor the popup. Must expose a ‘size’ (OpenLayers.Size) and ‘offset’ (OpenLayers.Pixel) (Note that this is generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

### Functions

### destroy

> destroy: function()

### setBackgroundColor

> setBackgroundColor:function( | color | )

### setBorder

> setBorder:function()

### setSize

> setSize:function( | contentSize | )

Overridden here, because we need to update the blocks whenever the size of the popup has changed.

#### Parameters

contentSize | {OpenLayers.Size} the new size for the popup’s contents div (in pixels).

> destroy: function()

> setBackgroundColor:function( | color | )

> setBorder:function()

> setSize:function( | contentSize | )

Overridden here, because we need to update the blocks whenever the size of the popup has changed.
This class represents a longitude and latitude pair
Instances of this class represent a width/height pair
This class represents a screen coordinate, in x and y coordinates
The icon represents a graphical icon on the screen.
Close